ISOQUERY(1)

NAME
isoquery - Procura e mostra vários códigos ISO (país, linguagem, ...)

SINOPSE

isoquery [opções] [ficheiro] [códigos ISO]

DESCRIÇÃO

Este manual documenta brevemente o comando isoquery. Pode ser usado para gerar uma saída tabular dos códigos standard ISO disponibilizados pelo pacote iso-codes. Analisa os ficheiros XML e mostra todos os códigos ISO incluídos ou apenas as entradas correspondentes, se tal for especificado na linha de comandos. Mais ainda, é possível obter todas as traduções disponíveis para o ISO standard.

OPÇÕES

Este programa segue a sintaxe de linha de comandos normal do GNU, com as opções longas a começarem com dois traços ('-'). O isoquery suporta as seguintes opções:

-i standard, --iso=standard
    O ISO standard a usar. Valores possíveis: 639, 639-3, 639-5, 3166, 3166-2, 4217, 15924 (predefinição: 3166).

-x ficheiro, --xmlfile=ficheiro
    Usa outro ficheiro XML com dados ISO (predefinição: /usr/share/xml/iso-codes/iso_3166.xml).

-l locale, --locale=locale
    Use este locale para os resultados.

-n, --name
    Nome para os códigos fornecidos (predefinição).

-o, --official_name
    Nome oficial dos códigos fornecidos. Isto pode ser o mesmo que --name (apenas se aplica ao ISO 3166).

-c, --common_name
    Nome comum dos códigos fornecidos. Isto pode ser o mesmo que --name (apenas se aplica ao ISO 3166).

-0, --null
    Separa as entradas com um caractere NULO em vez de nova linha.

-h, --help
    Mostra o sumário de opções.

-v, --version
    Mostra a versão do programa e o copyright.

EXEMPLO

Se chamado sem nenhumas opções de linha de comandos, o isoquery irá escrever uma tabela de todos os códigos ISO 3166. As três primeiras colunas contêm o código alpha-2, o código alpha-3 e o código numérico atribuído ao país listado na quarta coluna.

$ isoquery
AF      AFG     004     Afghanistan
[...]
ZW      ZWE     716     Zimbabwe

Se você apenas precisa de alguns países, pode especificar quaisquer dos códigos nas primeiras três colunas e cortar nos resultados.

$ isoquery so nor 484
SO      SOM     706     Somalia
NO      NOR     578     Norway
MX      MEX     484     Mexico

Se precisar das traduções dos nomes dos países, especifique em que locale deseja ver os resultados. Por favor note que será mostrado o nome original em Inglês se não existir uma tradução disponível para o locale especificado.

$ isoquery --locale=nl fr de es
FR      FRA     250     Frankrijk
DE      DEU     276     Duitsland
ES      ESP     724     Spanje

Tudo em cima funciona também para diferentes ISO standards, portanto você pode mudar para o standard ISO 3166-2 mais extensivo usando a opção --iso na linha de comandos. A colunas são código de país, tipo de subconjunto (ex. Estado, Província, etc), código ISO 3166-2, parente e nome. A quarta coluna (parente) pode estar vazia.

$ isoquery --iso=3166-2
AD      Parish          AD-07           Andorra la Vella
[...]
ZW      Province        ZW-MI           Midlands

Para ISO 639, as primeiras três colunas são o código ISO 639 2B, o código ISO 639 2T e o código ISO 639-1. A terceira coluna pode estar vazia.

$ isoquery --iso=639
aar     aar     aa      Afar
abk     abk     ab      Abkhazian
ace     ace             Achinese
[...]
zun     zun             Zuni
zxx     zxx             No linguistic content; Not applicable
zza     zza             Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Você pode estreitar os resultados ao especificar apenas alguns códigos. Mais ainda, a opção para obter nomes traduzidos está também disponível.

$ isoquery --iso=639 --locale=pt vi bo kl
vie     vie     vi      Vietnamita
tib     bod     bo      tibetano
kal     kal     kl      Kalaallisut; Greenlandic

Se deseja usar ISO 639-3, as colunas mostradas são id, scope, tipo, código parte 1, código parte 2 e o nome da linguagem. Ambas parte 1 e parte 2 podem estar vazias.

$ isoquery -i 639-3 aal new spa guc
aal     I       L                       Afade
new     I       L               new     Newari
spa     I       L       es      spa     Spanish
guc     I       L                       Wayuu

Também está disponível ISO 639-5. As colunas mostradas são id, parentes, e nome. A coluna parentes por estar vazia.

$ isoquery -i 639-5 aus tut
aus             Australian languages
tut             Altaic languages

Você pode obter traduções seleccionadas dos nomes actuais a partir do standard ISO 4217 ao usar o seguinte comando. As primeiras duas colunas são o código alpha-3 e o código numérico atribuído à moeda.

$ isoquery --iso=4217 --locale=da cad 392
CAD     124     Canadisk dollar
JPY     392     Yen

Se precisa de obter nome de script, você pode usar a tabela ISO 15924. As primeiras duas colunas são o código alpha-4 e código numérico atribuído ao script.

$ isoquery --iso=15924 jpan latn 280
Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
Latn    215     Latin
Visp    280     Visible Speech

FICHEIROS

Por predefinição, serão usados os ficheiros XML disponibilizados pelo pacote iso-codes.
/usr/share/xml/iso-codes/iso_639.xml
/usr/share/xml/iso-codes/iso_639_3.xml
/usr/share/xml/iso-codes/iso_639_5.xml
/usr/share/xml/iso-codes/iso_3166.xml
/usr/share/xml/iso-codes/iso_3166_2.xml
/usr/share/xml/iso-codes/iso_4217.xml
/usr/share/xml/iso-codes/iso_15924.xml

AUTOR

Tobias Quathamer <toddy@debian.org>

TRADUÇÃO

Américo Monteiro <a_monteiro@netcabo.pt>